ArrayIterator (Velocity 1.4 API)
Keywords: org.apache.velocity.util.ArrayIterator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.util
Class ArrayIterator

    java.lang.Object
      org.apache.velocity.util.ArrayIterator

All Implemented Interfaces:
  java.util.Iterator

public class ArrayIterator
extends java.lang.Object
implements java.util.Iterator

An Iterator wrapper for an Object[]. This will allow us to deal with all array like structures in a consistent manner.

WARNING : this class's operations are NOT synchronized. It is meant to be used in a single thread, newly created for each use in the #foreach() directive. If this is used or shared, synchronize in the next() method.

Version:
  $Id: ArrayIterator.java,v 1.6.8.1 2004/03/03 23:23:07 geirm Exp $
Author:
  Jason van Zyl, Geir Magnusson Jr.

Field Summary
`private java.lang.Object` | `array` The objects to iterate.
`private int` | `pos` The current position and size in the array.
`private int` | `size`

Constructor Summary
`ArrayIterator(java.lang.Object array)` Creates a new iterator instance for the specified array.

Method Summary
`boolean` | `hasNext()` Check to see if there is another element in the array.
`java.lang.Object` | `next()` Move to next element in the array.
`void` | `remove()` No op--merely added to satify the `Iterator` interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### array

    private java.lang.Object array

  The objects to iterate.

### pos

    private int pos

  The current position and size in the array.

### size

    private int size

Constructor Detail

### ArrayIterator

    public ArrayIterator(java.lang.Object array)

  Creates a new iterator instance for the specified array.

Parameters:
  `array` - The array for which an iterator is desired.

Method Detail

### next

    public java.lang.Object next()

  Move to next element in the array.

  Specified by:
    `next` in interface `java.util.Iterator`
  Returns:
    The next object in the array.

### hasNext

    public boolean hasNext()

  Check to see if there is another element in the array.

  Specified by:
    `hasNext` in interface `java.util.Iterator`
  Returns:
    Whether there is another element.

### remove

    public void remove()

  No op--merely added to satify the `Iterator` interface.

  Specified by:
    `remove` in interface `java.util.Iterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.